<!DOCTYPE html>
<html lang="pl">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="generator" content="GitLab Pages">
  <title>Bootstrap 🤢</title>
  <meta name="description" content="Bootstrap to zło">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <link rel="stylesheet" href="style.css">
</head>

<body>
  <div class="container">
    <div class="row my-3 text-center">
      <div class="col">
        <p class="bg-success">a</p>
      </div>
      <div class="col">
        <p class="bg-warning">b</p>
      </div>
      <div class="col">
        <p class="bg-info">c</p>
      </div>
      <div class="col">
        <p class="bg-danger">d</p>
      </div>
      <div class="col">
        <p class="bg-success">a</p>
      </div>
      <div class="col">
        <p class="bg-warning">b</p>
      </div>
      <div class="col">
        <p class="bg-info">c</p>
      </div>
      <div class="col">
        <p class="bg-danger">d</p>
      </div>
      <div class="col">
        <p class="bg-success">a</p>
      </div>
      <div class="col">
        <p class="bg-warning">b</p>
      </div>
      <div class="col">
        <p class="bg-info">c</p>
      </div>
      <div class="col">
        <p class="bg-danger">d</p>
      </div>
    </div>
  </div>
  <div class="container">
    <div class="row my-3 text-center">
      <div class="col bg-success">a</div>
      <div class="col bg-warning">b</div>
      <div class="col bg-info">c</div>
      <div class="col bg-danger">d</div>
      <div class="col bg-success">a</div>
      <div class="col bg-warning">b</div>
      <div class="col bg-info">c</div>
      <div class="col bg-danger">d</div>
      <div class="col bg-success">a</div>
      <div class="col bg-warning">b</div>
      <div class="col bg-info">c</div>
      <div class="col bg-danger">d</div>
    </div>
  </div>
  <div class="container">
    <div class="row">
      <h3>Nierówne kolumny</h3>
    </div>
    <div class="row my-3 text-center">
      <div class="col-3 bg-success">a</div>
      <div class="col-3 bg-warning">b</div>
      <div class="col-2 bg-info">c</div>
      <div class="col-4 bg-danger">d</div>
    </div>
  </div>
  <div class="container">
    <div class="row">
      <h3>Nierówne kolumny</h3>
    </div>
    <div class="row my-3 text-center">
      <div class="col-1 bg-success">a</div>
      <div class="col-2 bg-warning">b</div>
      <div class="col-3 bg-info">c</div>
      <div class="col-4 bg-danger">d</div>
    </div>
  </div>
  <div class="container">
    <div class="row">
      <h3>Nierówne kolumny</h3>
    </div>
    <div class="row my-3 text-center">
      <div class="col-5 bg-success">a</div>
      <div class="col-7 bg-warning">b</div>
      <div class="col-6 bg-info">c</div>
      <div class="col-6 bg-danger">d</div>
    </div>
  </div>
  <div class="container">
    <div class="row">
      <h3>Uzupełnianie</h3>
    </div>
    <div class="row my-3 text-center">
      <div class="col-2 bg-success">a</div>
      <div class="col-3 bg-warning">b</div>
      <div class="col bg-info">c</div>
      <div class="col-2 bg-danger">d</div>
      <div class="col bg-info">c</div>
    </div>
  </div>

  <div class="container">
    <div class="row">
      <div class="col-md-8">Ważny nagłówek</div>
      <div class="col-6 col-md-4">Dodatkowe informacje</div>
      <div class="col-6 col-md-4">Jeszcze jeden drobny aspekt</div>
    </div>
  </div>

  <div class="container">
    <div class="row my-3 text-center align-items-center" style="height: 120px">
      <div class="col align-self-start bg-success">a</div>
      <div class="col bg-warning">b</div>
      <div class="col bg-info">c</div>
      <div class="col align-self-end bg-danger">d</div>
    </div>
  </div>

  <div class="container">
    <div class="row my-3 text-center justify-content-between">
      <div class="col-4 bg-success">a</div>
      <div class="col-4 bg-warning">b</div>
    </div>
  </div>

  <div class="container">
    <div class="row my-3 text-center">
      <div class="col-md-4 bg-success">a</div>
      <div class="col-md-4 bg-warning offset-md-5">b</div>
    </div>
  </div>

  <div class="container">
    <div class="row my-3 text-center">
      <div class="col-md-4 bg-success order-3">trzeci</div>
      <div class="col-md-4 bg-warning order-1">pierwszy</div>
      <div class="col-md-4 bg-info order-2">drugi</div>
    </div>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>
</body>

</html>